Subject: Re: bug#25411: 25.1; rmail decryption problems

From: Francesco Potortì <[email-masked]>
Date: Sun, 13 Dec 2020 18:18:24 +0100

>> When using rmail, an ecrypted message can be decrypted by using
>> epa-mail-decrypt or rmail-epa-decrypt.
>>
>> 1) none of these is bound to any keys, which is annoying.  The obvious
>> keybinding in rmail should be C-cC-ed
>
>I've now bound `C-c C-d' to `rmail-epa-decrypt'.

Note that C-c C-e is the prefix for the epa-mail functions.  I think
it's natural to use the same prefix for rmail.

>> 2) it is not clear if there is any difference between these two
>> functions: both seem to do the same thing.
>
>Presumably rmail function is rmail-specific, which explains:
>
>> 3) epa-mail-decrypt behaves well when told not to replace the email
>> contents, but when told to replace it, it should mark the email message
>> as "decrypted", which it does not
>
>That's an rmail-specific thing, so I think it's correct that it doesn't
>do that.
>
>> 4) rmail-epa-decrypt behaves well when told to replace the email
>> message, but when told not to, it marks the email message as decrypted,
>> which is wrong because this modifies the mail buffer, which should
>> stay unmodified.  Moreover, if the buffer is saved, the (unmodified)
>> mail message carries the "decrypted" tag, which does not make sense.
>
>This should now be fixed in Emacs 28.

Ok, thanks